
/**

GNU-DiaboloSimulator : ce programme permet de simuler des siteswaps au
diabolo.

Copyright (C) 2012 Frédéric MICOUT - fred@sujets-libres.fr
Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIALISABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. Consultez la Licence Générale
Publique GNU pour plus de détails.

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme ; si ce n’est pas le cas, consultez :
<http://www.gnu.org/licenses/>.

**/

#ifndef ANIMATION_H
#define ANIMATION_H

#include <QWidget>
#include <QtGui>

class Animation : public QWidget
{
    Q_OBJECT

public:
   explicit Animation(QWidget *parent = 0);

public slots:
   void setAnimation();
   void textChanged(QString);
   void siteswapChanged(QList<int>);
   void tempsDeDepartParObjets(QList<int>);
   void sequenceParObjetChange(QList<QList<int> >);
   void siteswapValide(bool valide);
   void siteswapNbObjets(int nbObj);
   void setHigh();
   void setLow();
   void setDroitier();
   void setGaucher();
   void setTempsBase(int tBase);
   void setPourcentageTempsAVide(int aVide);
   void setCouleurDiabolos(QList<QColor> couleur);

private:
    bool affichageAutorise;
    QList<int> siteswapActuel;
    QList<int> retardObjet;
    QList<QList<int> >siteswapActuelParObjet;
    int nombreObjets;
    QString titre;
    bool high;
    bool droitier;
    int tempsBase;
    int pourcentageTempsAVide;
    int pourcentageTempsDeuxDiabsCorde;
    QList<QColor> couleurDiabolos;
};

#endif // ANIMATION_H
