
/**

GNU-DiaboloSimulator : ce programme permet de simuler des siteswaps au
diabolo.

Copyright (C) 2012 Frédéric MICOUT - fred@sujets-libres.fr
Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIALISABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. Consultez la Licence Générale
Publique GNU pour plus de détails.

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme ; si ce n’est pas le cas, consultez :
<http://www.gnu.org/licenses/>.

**/

#ifndef SITESWAP_H
#define SITESWAP_H

#include <QtGui>
#include <QWidget>
#include <QVector>

class SiteSwap : public QWidget
{
    Q_OBJECT
public:
    explicit SiteSwap(QWidget *parent = 0);

signals:
    void getLabNbObjets(QString nbobjets);
    void getSequence(QList<int>);
    void getPremierePosition(QList<int>); // utilisé pour calculer le départ différé de l'objet
    void getSequenceParObjet(QList<QList<int> >); // temps de lancés successifs par objet
    void getValiditeSequence(bool);
    void getNbObjetsSequence(int);

public slots:
    void textChanged(QString texte);

private:    
    bool getValidite();
    int getNbObjets();
    QList<QList<int> > getSeqParObj();

    QList<int> vecteurDeSaisie;
    QList<QString> vecteurDeSaisieEnrichi;
    QList<int> vecteurDeSaisieEnrichiPuisSimplifie;
    QList<int> vecteurDePermutation;
    int nbObjets;

};

#endif // SITESWAP_H
